<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionCircle Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d1b/a04309.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionCircle Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a20fc559fd5bdbac6d6addd194c67ee69"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d1b/a04309.html#a20fc559fd5bdbac6d6addd194c67ee69">ExpansionCircle</a> (float rad, float x, float y, float width, float color)</td></tr>
<tr class="separator:a20fc559fd5bdbac6d6addd194c67ee69"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:afe7142e0c1c3eae0d1b005619a83c327"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d1b/a04309.html#afe7142e0c1c3eae0d1b005619a83c327">Radius</a></td></tr>
<tr class="separator:afe7142e0c1c3eae0d1b005619a83c327"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14c16b8886269d6d5f87a0b8a2ebb230"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d1b/a04309.html#a14c16b8886269d6d5f87a0b8a2ebb230">X</a></td></tr>
<tr class="separator:a14c16b8886269d6d5f87a0b8a2ebb230"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fefee577fcabb405303a6b16ce35bad"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d1b/a04309.html#a1fefee577fcabb405303a6b16ce35bad">Y</a></td></tr>
<tr class="separator:a1fefee577fcabb405303a6b16ce35bad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c12622c22392c7842637f278ecfa3ec"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d1b/a04309.html#a5c12622c22392c7842637f278ecfa3ec">Width</a></td></tr>
<tr class="separator:a5c12622c22392c7842637f278ecfa3ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a207e02fd9f87f930f677a1e0d2c56d81"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d1b/a04309.html#a207e02fd9f87f930f677a1e0d2c56d81">Color</a></td></tr>
<tr class="separator:a207e02fd9f87f930f677a1e0d2c56d81"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d7/d49/a00863.html">ExpansionRenders.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d7/d49/a00863_source.html#l00013">13</a> of file <a class="el" href="../../d7/d49/a00863_source.html">expansionrenders.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a20fc559fd5bdbac6d6addd194c67ee69" name="a20fc559fd5bdbac6d6addd194c67ee69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20fc559fd5bdbac6d6addd194c67ee69">&#9670;&#160;</a></span>ExpansionCircle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionCircle::ExpansionCircle </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>rad</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>color</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d49/a00863_source.html#l00021">21</a> of file <a class="el" href="../../d7/d49/a00863_source.html">expansionrenders.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a207e02fd9f87f930f677a1e0d2c56d81" name="a207e02fd9f87f930f677a1e0d2c56d81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a207e02fd9f87f930f677a1e0d2c56d81">&#9670;&#160;</a></span>Color</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionCircle::Color</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d49/a00863_source.html#l00019">19</a> of file <a class="el" href="../../d7/d49/a00863_source.html">expansionrenders.c</a>.</p>

</div>
</div>
<a id="afe7142e0c1c3eae0d1b005619a83c327" name="afe7142e0c1c3eae0d1b005619a83c327"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe7142e0c1c3eae0d1b005619a83c327">&#9670;&#160;</a></span>Radius</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionCircle::Radius</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d49/a00863_source.html#l00015">15</a> of file <a class="el" href="../../d7/d49/a00863_source.html">expansionrenders.c</a>.</p>

</div>
</div>
<a id="a5c12622c22392c7842637f278ecfa3ec" name="a5c12622c22392c7842637f278ecfa3ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c12622c22392c7842637f278ecfa3ec">&#9670;&#160;</a></span>Width</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionCircle::Width</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d49/a00863_source.html#l00018">18</a> of file <a class="el" href="../../d7/d49/a00863_source.html">expansionrenders.c</a>.</p>

</div>
</div>
<a id="a14c16b8886269d6d5f87a0b8a2ebb230" name="a14c16b8886269d6d5f87a0b8a2ebb230"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a14c16b8886269d6d5f87a0b8a2ebb230">&#9670;&#160;</a></span>X</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionCircle::X</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d49/a00863_source.html#l00016">16</a> of file <a class="el" href="../../d7/d49/a00863_source.html">expansionrenders.c</a>.</p>

</div>
</div>
<a id="a1fefee577fcabb405303a6b16ce35bad" name="a1fefee577fcabb405303a6b16ce35bad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1fefee577fcabb405303a6b16ce35bad">&#9670;&#160;</a></span>Y</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionCircle::Y</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d7/d49/a00863_source.html#l00017">17</a> of file <a class="el" href="../../d7/d49/a00863_source.html">expansionrenders.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/renders/<a class="el" href="../../d7/d49/a00863_source.html">expansionrenders.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dd/d1b/a04309.html">ExpansionCircle</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
